## com.sun.jersey.spi.container
Interface ResourceFilterFactory

All Known Implementing Classes:
  ResourceDebuggingFilterFactory, RolesAllowedResourceFilterFactory, RolesAllowedResourceFilterFactory

    public interface ResourceFilterFactory

A resource filter factory responsible for creating `ResourceFilter` instances that match methods of the abstract resource model.

Resource filter factories are registered with the `ResourceConfig` using the property `ResourceConfig.PROPERTY_RESOURCE_FILTER_FACTORIES`.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  `com.sun.jersey.api.container.filter`

Method Summary
`java.util.List<ResourceFilter>` | `create(AbstractMethod am)` Create a list of `ResourceFilter` instance given a method of the abstract resource model.

Method Detail

### create

    java.util.List<ResourceFilter> create(AbstractMethod am)

  Create a list of `ResourceFilter` instance given a method of the abstract resource model.

  When applying the list of resource filters to a request each resource filter is applied, in order, from the first to last entry in the list. When applying the list of resource filters to a response each resource filter is applied, in reverse order, from the last to first entry in the list.

  Parameters:
    `am` - the abstract method. This may be an instance of the following: `AbstractResourceMethod`, `AbstractSubResourceMethod` or `AbstractSubResourceLocator`.
  Returns:
    the list of resource filter, otherwise an empty list or null if no resource filters are associated with the method.

Copyright © 2017 Oracle Corporation. All Rights Reserved.